stages:
  - linter
  - testing
  - build
  - deploy

variables:
    my_name: "poying"

helloworld: # Job
  tags:
    - do # remote runner
  stage: linter
  script: 
    - echo "hello world, Gitlab! my name is $my_name $PROD_URL"
    - chmod +x ./run.sh
    - ./run.sh

run_unit_tests:
  tags:
    - poying # local runner
  stage: testing
  script:
    - echo "run unit test"
    - uname

ruby_script:
  image: ruby:3.1.2-alpine # Because remote server's base image is alpine, we need to add ruby image
  tags:
    - do
  stage: testing
  script:
    - ruby -v
    - uname -a